using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;



namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 当前已经下发的叫料任务
    /// </summary>
    [SugarTable("base_real_task"), TenantAttribute("local")]
    public class BaseRealTask
    {
        /// <summary>
        /// 任务ID
        /// </summary>
        [SugarColumn(ColumnName = "task_id", IsPrimaryKey = true, IsIdentity = true)]
        public int TaskId { get; set; }

        /// <summary>
        /// 关联的MES执行的计划编号
        /// </summary>
        [SugarColumn(ColumnName = "plan_code")]
        public string PlanCode { get; set; }

        /// <summary>
        /// mes计划数量
        /// </summary>
        [SugarColumn(ColumnName = "plan_amount")]
        public decimal PlanAmount { get; set; }

        /// <summary>
        /// mes已完成数量
        /// </summary>
        [SugarColumn(ColumnName = "plan_complete")]
        public decimal PlanComplete { get; set; }


        /// <summary>
        /// 物料型号
        /// </summary>
        [SugarColumn(ColumnName = "material_id")]
        public decimal MaterialId { get; set; }

        /// <summary>
        /// 任务状态：默认1执行中, 2：已完成
        /// </summary>
        [SugarColumn(ColumnName = "status")]
        public int Status { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 修改时间
        /// </summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime UpdateTime { get; set; }
    }
}
